Summary:        HFX ejectbutton monitor
Name:           hfxejectbutton
Version:        1.0
Release:        1
License:        GPL
Group:          Applications/Multimedia
Source0:        hfxejectbutton-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	eject 

%description
Monitor daemon for hfx eject button

#---------------------------------------------------------------------
%prep
%setup -q

#---------------------------------------------------------------------
%build
%define _srcdir %{_topdir}/BUILD/%{name}-%{version}
make

#---------------------------------------------------------------------
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{_srcdir}/hfxejectbutton.init \
  %{buildroot}/etc/init.d/hfxejectbutton
install -m 644 %{_srcdir}/hfxejectbutton.sysconfig \
  %{buildroot}/etc/sysconfig/hfxejectbutton
install -m 755 %{_srcdir}/hfxejectexec %{buildroot}%{_bindir}

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------
%post
chkconfig --add hfxejectbutton

%preun
chkconfig --del hfxejectbutton

#---------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/hfxejectexec
/etc/init.d/hfxejectbutton
%config /etc/sysconfig/hfxejectbutton

#-------------------------------------------------------------------------

%changelog
* Mon Feb 24 2003 Your Name <your.email> - version-release
- Initial RPM release.
